### Method

# Gimp Drawable color_balance

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_color_balance (
      GimpDrawable* drawable,
      GimpTransferMode transfer_mode,
      gboolean preserve_lum,
      gdouble cyan_red,
      gdouble magenta_green,
      gdouble yellow_blue
    )

#### Description [src]

Modify the color balance of the specified drawable.

Modify the color balance of the specified drawable. There are three axis which can be modified: cyan-red, magenta-green, and yellow-blue. Negative values increase the amount of the former, positive values increase the amount of the latter. Color balance can be controlled with the ‘transfer_mode’ setting, which allows shadows, mid-tones, and highlights in an image to be affected differently. The ‘preserve-lum’ parameter, if TRUE, ensures that the luminosity of each pixel remains fixed.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:color-balance” instead.

#### Parameters

`transfer_mode`

  Type: `GimpTransferMode`

  Transfer mode.

`preserve_lum`

  Type: `gboolean`

  Preserve luminosity values at each pixel.

`cyan_red`

  Type: `gdouble`

  Cyan-Red color balance.

`magenta_green`

  Type: `gdouble`

  Magenta-Green color balance.

`yellow_blue`

  Type: `gdouble`

  Yellow-Blue color balance.

#### Return value

Type: `gboolean`

TRUE on success.